Bug 96102 - FILEOPEN: LibO hangs with 100% CPU when loading an .html incorrectly labeled as .doc
Summary: FILEOPEN: LibO hangs with 100% CPU when loading an .html incorrectly labeled ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Opening HTML-Import
  Show dependency treegraph
 
Reported: 2015-11-27 11:45 UTC by Christian Uceda
Modified: 2018-08-22 02:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A HTML file whose extension is wrong. (7.18 MB, application/msword)
2015-11-27 11:45 UTC, Christian Uceda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Uceda 2015-11-27 11:45:08 UTC
Created attachment 120837 [details]
A HTML file whose extension is wrong.

I downloaded what I though was a .doc file but in reality was a large .html with the wrong name.

Instead of warning that the file is of the wrong type LibreOffice just stuck at 100% CPU on the loading splash screen.

When I was trying to diagnose the problem on the console it was easy to spot the problem:

------------------8<-----------------

user@krang:~/Downloads$ libreoffice anonymous.doc 
:6: parser error : internal error: detected an error in element content

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.or
^
:6: parser error : internal error: detected an error in element content

(these same lines multiple times)

------------------8<-----------------

user@krang:~/Downloads$ file anonymous.doc 
anonymous.doc: HTML document, ASCII text, with very long lines, with CRLF, LF line terminators

------------------8<-----------------

The bug I guess is that LibreOffice should not attempt to open files which are not supported, or at least do basic checks before opening the file as a certain type.

This problem is very easy to spot for an IT person, but can confuse a non-technical person and leave an undeserved negative impression of LibreOffice.

I have seen this happen before to other people, but it never occurred to me this could be the issue as I had no involvement (help desk dealt with the problem, I was just an observer).

Please consider adding basic file type checking before attempting opening documents.

I have attached the offending not ".doc" file.
Comment 1 Christian Uceda 2015-11-27 11:45:43 UTC
Sorry I forgot, my OS is:

Description:	Ubuntu 14.04.3 LTS
Release:	14.04
Codename:	trusty
Comment 2 tommy27 2015-11-28 07:49:33 UTC
same issue under Win8.1 x64 too, using LibO 5.0.3.1 and recent 5.1.0.0 alpha daily build

I see the same problem on AOO 4.1.0 and OOo 3.3.0 so the bug is inherited from OOo
Comment 3 QA Administrators 2018-08-22 02:37:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug